## com.bbn.openmap.layer.vpf
Class TextTable

    java.lang.Object
      com.bbn.openmap.layer.vpf.DcwRecordFile
          com.bbn.openmap.layer.vpf.PrimitiveTable
              com.bbn.openmap.layer.vpf.TextTable

public class TextTable
extends PrimitiveTable

Read VPF format text tables to generate text graphics for OpenMap.

Field Summary

Fields inherited from class com.bbn.openmap.layer.vpf.PrimitiveTable
`covtable, idColumn, tile`

Fields inherited from class com.bbn.openmap.layer.vpf.DcwRecordFile
`byteorder, columnInfo, documentationFileName, filename, ID_COLUMN_NAME, inputFile, MSBFirst, recordLength, tableDescription, tablename, vli`

Constructor Summary
`TextTable(CoverageTable cov, TileDirectory tile)` Construct a TextTable for reading VPF text features.

Method Summary
`void` `drawFeature(VPFFeatureWarehouse warehouse, float dpplat, float dpplon, LatLonPoint ll1, LatLonPoint ll2, java.util.List text, java.lang.String featureType)` Use the warehouse to create a graphic from a feature in the TextTable.
`void` `drawTile(VPFGraphicWarehouse warehouse, float dpplat, float dpplon, LatLonPoint ll1, LatLonPoint ll2)` Parse the text records for this tile, calling warehouse.createText once for each record in the selection region.
`CoordFloatString` `getCoordinates(java.util.List textprim)` Returns the coordinate string for the text primitive

Methods inherited from class com.bbn.openmap.layer.vpf.PrimitiveTable
`getCoverageTable, getID, getTileDirectory`

Methods inherited from class com.bbn.openmap.layer.vpf.DcwRecordFile

`close, finalize, finishInitialization, getColumnCount, getColumnInfo, getColumnName, getDescription, getDocumentationFilename, getRecordCount, getRecordLength, getRow, getRow, getTableFile, getTableName, getTilingAdapter, getTilingAdapter, getTilingAdapter, lookupSchema, lookupSchema, main, parseAllRowsAndPrintSome, parseRow, parseRow, parseSomeRowsAndPrint, printSchema, reopen, seekToRow, whatColumn`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextTable

    public TextTable(CoverageTable cov,
                     TileDirectory tile)
              throws FormatException

  Construct a TextTable for reading VPF text features.

Parameters:
  `cov` - the CoverageTable for the tile
  `tile` - the tile to parse
Throws:
  `FormatException` - if something goes wrong reading the text

Method Detail

### getCoordinates

    public CoordFloatString getCoordinates(java.util.List textprim)

  Returns the coordinate string for the text primitive

  Parameters:
    `textprim` - the text primitive

### drawTile

    public void drawTile(VPFGraphicWarehouse warehouse,
                         float dpplat,
                         float dpplon,
                         LatLonPoint ll1,
                         LatLonPoint ll2)

  Parse the text records for this tile, calling warehouse.createText once for each record in the selection region.

  Specified by:
    `drawTile` in class `PrimitiveTable`
  Parameters:
    `warehouse` - the warehouse used for createText calls (must not be null)
    `dpplat` - threshold for latitude thinning (passed to warehouse)
    `dpplon` - threshold for longitude thinngin (passed to warehouse)
    `ll1` - upperleft of selection region (passed to warehouse)
    `ll2` - lowerright of selection region (passed to warehouse)
  See Also:
    `VPFGraphicWarehouse.createText(com.bbn.openmap.layer.vpf.CoverageTable, com.bbn.openmap.layer.vpf.TextTable, java.util.List, float, float, java.lang.String)`

### drawFeature

    public void drawFeature(VPFFeatureWarehouse warehouse,
                            float dpplat,
                            float dpplon,
                            LatLonPoint ll1,
                            LatLonPoint ll2,
                            java.util.List text,
                            java.lang.String featureType)

  Use the warehouse to create a graphic from a feature in the TextTable.

  Specified by:
    `drawFeature` in class `PrimitiveTable`
  Parameters:
    `warehouse` - the warehouse used for createText calls (must not be null)
    `dpplat` - threshold for latitude thinning (passed to warehouse)
    `dpplon` - threshold for longitude thinngin (passed to warehouse)
    `ll1` - upperleft of selection region (passed to warehouse)
    `ll2` - lowerright of selection region (passed to warehouse)
    `text` - a list with the TextTable row contents.
    `featureType` - the string representing the feature type, in case the warehouse wants to do some intelligent rendering.
  See Also:
    `VPFGraphicWarehouse.createText(com.bbn.openmap.layer.vpf.CoverageTable, com.bbn.openmap.layer.vpf.TextTable, java.util.List, float, float, java.lang.String)`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details